This commit is contained in:
root 2021-09-20 01:21:05 +02:00
parent 951de61e16
commit a56427705c
13 changed files with 160 additions and 46 deletions

View File

@ -1,19 +0,0 @@
pipeline:
build:
image: debian
pull: true
commands:
- echo "Testing Build"
when:
event: [push, tag]
package:
image: debian
pull: true
commands:
- echo "zap"
when:
event: tag
# Not working :/
# branches: master

18
.gitignore vendored Normal file
View File

@ -0,0 +1,18 @@
*.exe
/data/
# ignore the debian stuff
debhelper-build-stamp
.DS_Store
.debhelper
*.deb
*.dsc
*.build
*.buildinfo
*.changes
*.tar.gz
*.log
*.substvars
/*/debian/mdg-test
/*/debian/files
/*/mdg-test

View File

@ -1,31 +1,43 @@
#Config
UPSTREAM_VERSION = 3.9.2
PKG_SUB_RELEASE = 1.0
PKG_FULL_VERSION = ${UPSTREAM_VERSION}-${PKG_SUB_RELEASE}
PKGNAME := mdg-test
UPSTREAM_VERSION := 3.9.2
PKG_SUB_RELEASE := 1.0
PKG_FULL_VERSION := $(UPSTREAM_VERSION)-$(PKG_SUB_RELEASE)
SOURCE = https://www.python.org/ftp/python/${UPSTREAM_VERSION}/python-${UPSTREAM_VERSION}-amd64.exe
CHECKSUM = efb20aa1b648a2baddd949c142d6eb06
SOURCE := https://www.python.org/ftp/python/$(UPSTREAM_VERSION)/python-$(UPSTREAM_VERSION)-amd64.exe
CHECKSUM := efb20aa1b648a2baddd949c142d6eb06
## Download Link and Checksums can be found on https://www.python.org/downloads/windows/
all: clean install
default: download
install: setversion
@[ -d "./data/" ] || mkdir ./data/
@echo "INFO: Downloading the Git for Windows executable..."
@wget -O ./data/python-${UPSTREAM_VERSION}-amd64.exe ${SOURCE}
@echo "${CHECKSUM} ./data/python-${UPSTREAM_VERSION}-amd64.exe" | md5sum -c && echo "SUCCESS: Checksums match" || { ec=$$?; echo "ERROR: Checksum mismatch" >&2; rm -rf ./data/ >&2; exit $$ec; }
@echo "SUCCESS: Installed Successfully"
all: | clean install
download: setversion
[ -d "data" ] || mkdir data
wget -nc -P data $(SOURCE)
echo "$(CHECKSUM) data/python-$(UPSTREAM_VERSION)-amd64.exe" | \
md5sum -c && echo "SUCCESS: Checksums match" || \
{ ec=$$?; echo "ERROR: Checksum mismatch" >&2; rm -rf data >&2; exit $$ec; }
data: download
install: data
install -Dm644 control -t $(DESTDIR)/srv/deploy/install/$(PKGNAME)
install -Dm644 *.ins -t $(DESTDIR)/srv/deploy/install/$(PKGNAME)
install -Dm644 logo.png -t $(DESTDIR)/srv/deploy/install/$(PKGNAME)
install -Dm644 data/* -t $(DESTDIR)/srv/deploy/install/$(PKGNAME)/data
uninstall:
rm -rf $(DESTDIR)/srv/deploy/install/$(PKGNAME)
clean:
@echo "INFO: Cleaning ./data/"
@rm -rf ./data/
@[ ! -d "./data/" ] && echo "SUCCESS: Cleaned"
rm -rf data
setversion:
@echo "INFO: Writing version ${PKG_FULL_VERSION} to control file"
@sed -i "s/^version: [0-9]\{1,3\}\.[0-9]\{1,3\}\.[0-9]\{1,3\}$$/version: ${UPSTREAM_VERSION}/" ./control
@sed -i "s/^packageVersion: [0-9]\{1,3\}\.[0-9]\{1,3\}$$/packageVersion: ${PKG_SUB_RELEASE}/" ./control
package:
@echo "MEEP!"
.PHONY: all install clean setversion package
@echo "INFO: Writing version $(PKG_FULL_VERSION) to control file"
sed -e "s/^version: [0-9]\{1,3\}\.[0-9]\{1,3\}\.[0-9]\{1,3\}$$/version: $(UPSTREAM_VERSION)/" \
-e "s/^packageVersion: [0-9]\{1,3\}\.[0-9]\{1,3\}$$/packageVersion: $(PKG_SUB_RELEASE)/" \
-i control
.PHONY: default all download install uninstall clean setversion

Binary file not shown.

Before

Width:  |  Height:  |  Size: 12 KiB

View File

@ -22,8 +22,4 @@ git clone --depth 1 https://gitea.mdg-hamburg.de/MDG-Packages/winst-mdg-python.g
2. Download the required binaries
```sh
cd /srv/deploy/install/mdg-python/ && make
```
3. Run chkdeploy to make IServ aware of the new package
```sh
chkdeploy
```

View File

@ -34,4 +34,4 @@ name: pippackages
type: unicode
description: Installiere pip Pakete
helptext: Die Pakete werden mit jeder Installation des Programms installiert oder aktualisiert. Zum Hinzufügen von neuen Pakten kann einfach eine Neuinstallation vorgenommen werden. Die Pakete werden mit einem Leerzeichen getrennt und können auf https://pypi.org/ gefunden werden. Diese Pakete werden systemweit installiert. Durch Nutzer installierte Pakete werden im jeweiligen Appdata Verzeichnis installiert.
pattern: numpy scikit-learn rsa
pattern: numpy scikit-learn rsa

5
debian/changelog vendored Normal file
View File

@ -0,0 +1,5 @@
mdg-test (1.1.1-2.2-1) unstable; urgency=medium
* Initial release. (Closes: #XXXXXX)
-- root <root@mdg-hamburg.test-iserv.de> Mon, 20 Sep 2021 00:37:16 +0200

1
debian/compat vendored Normal file
View File

@ -0,0 +1 @@
13

19
debian/control vendored Normal file
View File

@ -0,0 +1,19 @@
Source: mdg-test
Maintainer: Marion Dönhoff Gymnasium <repository@mdg-hamburg.de>
Section: misc
Priority: optional
Standards-Version: 4.6.0
Build-Depends: debhelper (>= 13)
Vcs-Git: https://gitea.mdg-hamburg.de/MDG-Packages/winst-mdg-python.git
Vcs-Browser: https://gitea.mdg-hamburg.de/MDG-Packages/winst-mdg-python
Package: winst-mdg-python
Architecture: all
Depends: winst-microsoft-windows-10-64
Provides: winst-python
Description: OPSI package Python for Windows 10 64bit
Features:
* Latest Python version
* Slim and simple package
* Automated Python package installation through pip

76
debian/copyright vendored Normal file
View File

@ -0,0 +1,76 @@
Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: winst-mdg-python
Files: *
Copyright: 2021 Kevin Dorner
License: MIT
Files: data/*
Copyright: 2001-2021 Python Software Foundation
License: Python
Files: debian/*
Copyright: 2021 Kevin Dorner
License: MIT
License: MIT
Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is furnished
to do so, subject to the following conditions:
.
The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.
.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS
OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF
OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
License: Python
1. This LICENSE AGREEMENT is between the Python Software Foundation ("PSF"), and
the Individual or Organization ("Licensee") accessing and otherwise using Python
3.9.2 software in source or binary form and its associated documentation.
.
2. Subject to the terms and conditions of this License Agreement, PSF hereby
grants Licensee a nonexclusive, royalty-free, world-wide license to reproduce,
analyze, test, perform and/or display publicly, prepare derivative works,
distribute, and otherwise use Python 3.9.2 alone or in any derivative
version, provided, however, that PSF's License Agreement and PSF's notice of
copyright, i.e., "Copyright © 2001-2021 Python Software Foundation; All Rights
Reserved" are retained in Python 3.9.2 alone or in any derivative version
prepared by Licensee.
.
3. In the event Licensee prepares a derivative work that is based on or
incorporates Python 3.9.2 or any part thereof, and wants to make the
derivative work available to others as provided herein, then Licensee hereby
agrees to include in any such work a brief summary of the changes made to Python
3.9.2.
.
4. PSF is making Python 3.9.2 available to Licensee on an "AS IS" basis.
PSF MAKES NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED. BY WAY OF
EXAMPLE, BUT NOT LIMITATION, PSF MAKES NO AND DISCLAIMS ANY REPRESENTATION OR
WARRANTY OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE
USE OF PYTHON 3.9.2 WILL NOT INFRINGE ANY THIRD PARTY RIGHTS.
.
5. PSF SHALL NOT BE LIABLE TO LICENSEE OR ANY OTHER USERS OF PYTHON 3.9.2
FOR ANY INCIDENTAL, SPECIAL, OR CONSEQUENTIAL DAMAGES OR LOSS AS A RESULT OF
MODIFYING, DISTRIBUTING, OR OTHERWISE USING PYTHON 3.9.2, OR ANY DERIVATIVE
THEREOF, EVEN IF ADVISED OF THE POSSIBILITY THEREOF.
.
6. This License Agreement will automatically terminate upon a material breach of
its terms and conditions.
.
7. Nothing in this License Agreement shall be deemed to create any relationship
of agency, partnership, or joint venture between PSF and Licensee. This License
Agreement does not grant permission to use PSF trademarks or trade name in a
trademark sense to endorse or promote products or services of Licensee, or any
third party.
.
8. By copying, installing or otherwise using Python 3.9.2, Licensee agrees
to be bound by the terms and conditions of this License Agreement.

2
debian/files vendored Normal file
View File

@ -0,0 +1,2 @@
mdg-test_1.1.1-2.2-1_amd64.buildinfo misc optional
winst-mdg-python_1.1.1-2.2-1_all.deb misc optional

4
debian/rules vendored Executable file
View File

@ -0,0 +1,4 @@
#!/usr/bin/make -f
%:
dh $@

0
lol
View File